<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BuildingSuper Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d2c/class_building_super.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BuildingSuper Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BuildingSuper:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d2c/class_building_super.png" usemap="#BuildingSuper_map" alt=""/>
  <map id="BuildingSuper_map" name="BuildingSuper_map">
<area href="../../d0/d5b/class_clutter_cutter2x2.html" alt="ClutterCutter2x2" shape="rect" coords="0,56,137,80"/>
<area href="../../d1/dd0/class_clutter_cutter6x6.html" alt="ClutterCutter6x6" shape="rect" coords="147,56,284,80"/>
<area href="../../d1/da0/class_clutter_cutter_fireplace.html" alt="ClutterCutterFireplace" shape="rect" coords="294,56,431,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a778a88d521550f1d1b99ab5019ad3570"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a778a88d521550f1d1b99ab5019ad3570">BuildingWithFireplace</a> ()</td></tr>
<tr class="separator:a778a88d521550f1d1b99ab5019ad3570"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b1321843747f27299e5927b7f87309"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a61b1321843747f27299e5927b7f87309">IsBuilding</a> ()</td></tr>
<tr class="separator:a61b1321843747f27299e5927b7f87309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38452525d35c4f903d3e92cae1dddd4c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a38452525d35c4f903d3e92cae1dddd4c">IsFuelStation</a> ()</td></tr>
<tr class="separator:a38452525d35c4f903d3e92cae1dddd4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa53d5f51fed68e53df92121c2be988b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#afa53d5f51fed68e53df92121c2be988b">Land_Misc_Greenhouse</a> ()</td></tr>
<tr class="separator:afa53d5f51fed68e53df92121c2be988b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a627c7137ff6311b7f400f65568f533a9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a627c7137ff6311b7f400f65568f533a9">EEInit</a> ()</td></tr>
<tr class="separator:a627c7137ff6311b7f400f65568f533a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae430408cd19f423e21ca5e7300919550"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#ae430408cd19f423e21ca5e7300919550">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:ae430408cd19f423e21ca5e7300919550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfa1aa6eced61a9ae890ad413e76e4e"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a0bfa1aa6eced61a9ae890ad413e76e4e">BonfireHeating</a> ()</td></tr>
<tr class="memdesc:a0bfa1aa6eced61a9ae890ad413e76e4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">DEPRECATED.  <a href="../../d5/d2c/class_building_super.html#a0bfa1aa6eced61a9ae890ad413e76e4e">More...</a><br /></td></tr>
<tr class="separator:a0bfa1aa6eced61a9ae890ad413e76e4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b1321843747f27299e5927b7f87309"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a61b1321843747f27299e5927b7f87309">IsBuilding</a> ()</td></tr>
<tr class="separator:a61b1321843747f27299e5927b7f87309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbb66ef666404e0c4f4a610285185890"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#afbb66ef666404e0c4f4a610285185890">IsWell</a> ()</td></tr>
<tr class="separator:afbb66ef666404e0c4f4a610285185890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc5ceecefbf64869dcc2d5ca0e63c03"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a0fc5ceecefbf64869dcc2d5ca0e63c03">SetActions</a> ()</td></tr>
<tr class="separator:a0fc5ceecefbf64869dcc2d5ca0e63c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6def0f2fd03eec81f7712f4f53a1f01e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a6def0f2fd03eec81f7712f4f53a1f01e">TIMER_HEATING_UPDATE_INTERVAL</a> = 2</td></tr>
<tr class="separator:a6def0f2fd03eec81f7712f4f53a1f01e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bf960337a9b3ccebe028c956de14a97"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a9bf960337a9b3ccebe028c956de14a97">PARAM_HEAT_RADIUS</a> = 15</td></tr>
<tr class="separator:a9bf960337a9b3ccebe028c956de14a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac695de1352a3f893ed2b16d9041cddf0"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#ac695de1352a3f893ed2b16d9041cddf0">PARAM_FULL_HEAT_RADIUS</a> = 5</td></tr>
<tr class="separator:ac695de1352a3f893ed2b16d9041cddf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dc31dacea011ce9bb76f0de6c481e7a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a3dc31dacea011ce9bb76f0de6c481e7a">PARAM_MAX_TRANSFERED_TEMPERATURE</a> = 25</td></tr>
<tr class="separator:a3dc31dacea011ce9bb76f0de6c481e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15ecc94a804c24c5526918e4872de156"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a15ecc94a804c24c5526918e4872de156">CONST_FIRE_TEMP</a> = 1000</td></tr>
<tr class="memdesc:a15ecc94a804c24c5526918e4872de156"><td class="mdescLeft">&#160;</td><td class="mdescRight">maximum value for temperature that will be transfered to player (environment)  <a href="../../d5/d2c/class_building_super.html#a15ecc94a804c24c5526918e4872de156">More...</a><br /></td></tr>
<tr class="separator:a15ecc94a804c24c5526918e4872de156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b74890e8aea9954844a528133e1323d"><td class="memItemLeft" align="right" valign="top">protected BonfireLight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a0b74890e8aea9954844a528133e1323d">m_Light</a></td></tr>
<tr class="separator:a0b74890e8aea9954844a528133e1323d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08eeadbbf508122d0b9894604366d752"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a08eeadbbf508122d0b9894604366d752">m_ParticleFire</a></td></tr>
<tr class="separator:a08eeadbbf508122d0b9894604366d752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cdc5791a45a15ec2fd2fc6060c5688a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a7cdc5791a45a15ec2fd2fc6060c5688a">m_ParticleSmoke</a></td></tr>
<tr class="separator:a7cdc5791a45a15ec2fd2fc6060c5688a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff3833ae9244a8445aaae49c44533e1d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#aff3833ae9244a8445aaae49c44533e1d">m_SoundFireLoop</a></td></tr>
<tr class="separator:aff3833ae9244a8445aaae49c44533e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d089b07b96e4f1406d8f5c0bbafdb79"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a1d089b07b96e4f1406d8f5c0bbafdb79">m_BonfireHeatingTimer</a></td></tr>
<tr class="separator:a1d089b07b96e4f1406d8f5c0bbafdb79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab79a76dc12c38a0f2a8f056ddfff251d"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../db/d89/class_universal_temperature_source.html">UniversalTemperatureSource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#ab79a76dc12c38a0f2a8f056ddfff251d">m_UTSource</a></td></tr>
<tr class="memdesc:ab79a76dc12c38a0f2a8f056ddfff251d"><td class="mdescLeft">&#160;</td><td class="mdescRight">DEPRECATED.  <a href="../../d5/d2c/class_building_super.html#ab79a76dc12c38a0f2a8f056ddfff251d">More...</a><br /></td></tr>
<tr class="separator:ab79a76dc12c38a0f2a8f056ddfff251d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a58b2d98da1528ae7f95353437fa05"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a57a58b2d98da1528ae7f95353437fa05">m_UTSSettings</a></td></tr>
<tr class="separator:a57a58b2d98da1528ae7f95353437fa05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d65445eb50125a4231b25fbe7aa207a"><td class="memItemLeft" align="right" valign="top">protected ref UniversalTemperatureSourceLambdaConstant&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2c/class_building_super.html#a2d65445eb50125a4231b25fbe7aa207a">m_UTSLBonfire</a></td></tr>
<tr class="separator:a2d65445eb50125a4231b25fbe7aa207a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d01/_building_with_fireplace_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d01/_building_with_fireplace_8c_source.html">BuildingWithFireplace.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0bfa1aa6eced61a9ae890ad413e76e4e" name="a0bfa1aa6eced61a9ae890ad413e76e4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bfa1aa6eced61a9ae890ad413e76e4e">&#9670;&#160;</a></span>BonfireHeating()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void BuildingSuper::BonfireHeating </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DEPRECATED. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00111">111</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a778a88d521550f1d1b99ab5019ad3570" name="a778a88d521550f1d1b99ab5019ad3570"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a778a88d521550f1d1b99ab5019ad3570">&#9670;&#160;</a></span>BuildingWithFireplace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BuildingSuper::BuildingWithFireplace </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d01/_building_with_fireplace_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d01/_building_with_fireplace_8c_source.html">BuildingWithFireplace.c</a>.</p>

</div>
</div>
<a id="ae430408cd19f423e21ca5e7300919550" name="ae430408cd19f423e21ca5e7300919550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae430408cd19f423e21ca5e7300919550">&#9670;&#160;</a></span>EEDelete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BuildingSuper::EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00073">73</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a627c7137ff6311b7f400f65568f533a9" name="a627c7137ff6311b7f400f65568f533a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a627c7137ff6311b7f400f65568f533a9">&#9670;&#160;</a></span>EEInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BuildingSuper::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00022">22</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a61b1321843747f27299e5927b7f87309" name="a61b1321843747f27299e5927b7f87309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61b1321843747f27299e5927b7f87309">&#9670;&#160;</a></span>IsBuilding() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BuildingSuper::IsBuilding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de9/_fuel_station_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/de9/_fuel_station_8c_source.html">FuelStation.c</a>.</p>

</div>
</div>
<a id="a61b1321843747f27299e5927b7f87309" name="a61b1321843747f27299e5927b7f87309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61b1321843747f27299e5927b7f87309">&#9670;&#160;</a></span>IsBuilding() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BuildingSuper::IsBuilding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/da4/_well_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/da4/_well_8c_source.html">Well.c</a>.</p>

</div>
</div>
<a id="a38452525d35c4f903d3e92cae1dddd4c" name="a38452525d35c4f903d3e92cae1dddd4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38452525d35c4f903d3e92cae1dddd4c">&#9670;&#160;</a></span>IsFuelStation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BuildingSuper::IsFuelStation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de9/_fuel_station_8c_source.html#l00008">8</a> of file <a class="el" href="../../dc/de9/_fuel_station_8c_source.html">FuelStation.c</a>.</p>

</div>
</div>
<a id="afbb66ef666404e0c4f4a610285185890" name="afbb66ef666404e0c4f4a610285185890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbb66ef666404e0c4f4a610285185890">&#9670;&#160;</a></span>IsWell()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BuildingSuper::IsWell </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/da4/_well_8c_source.html#l00008">8</a> of file <a class="el" href="../../dc/da4/_well_8c_source.html">Well.c</a>.</p>

</div>
</div>
<a id="afa53d5f51fed68e53df92121c2be988b" name="afa53d5f51fed68e53df92121c2be988b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa53d5f51fed68e53df92121c2be988b">&#9670;&#160;</a></span>Land_Misc_Greenhouse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BuildingSuper::Land_Misc_Greenhouse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dfe/_land___misc___greenhouse_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/dfe/_land___misc___greenhouse_8c_source.html">Land_Misc_Greenhouse.c</a>.</p>

</div>
</div>
<a id="a0fc5ceecefbf64869dcc2d5ca0e63c03" name="a0fc5ceecefbf64869dcc2d5ca0e63c03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fc5ceecefbf64869dcc2d5ca0e63c03">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BuildingSuper::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/da4/_well_8c_source.html#l00013">13</a> of file <a class="el" href="../../dc/da4/_well_8c_source.html">Well.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a15ecc94a804c24c5526918e4872de156" name="a15ecc94a804c24c5526918e4872de156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15ecc94a804c24c5526918e4872de156">&#9670;&#160;</a></span>CONST_FIRE_TEMP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BuildingSuper::CONST_FIRE_TEMP = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>maximum value for temperature that will be transfered to player (environment) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00007">7</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a1d089b07b96e4f1406d8f5c0bbafdb79" name="a1d089b07b96e4f1406d8f5c0bbafdb79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d089b07b96e4f1406d8f5c0bbafdb79">&#9670;&#160;</a></span>m_BonfireHeatingTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer BuildingSuper::m_BonfireHeatingTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00015">15</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a0b74890e8aea9954844a528133e1323d" name="a0b74890e8aea9954844a528133e1323d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b74890e8aea9954844a528133e1323d">&#9670;&#160;</a></span>m_Light</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected BonfireLight BuildingSuper::m_Light</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00009">9</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a08eeadbbf508122d0b9894604366d752" name="a08eeadbbf508122d0b9894604366d752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08eeadbbf508122d0b9894604366d752">&#9670;&#160;</a></span>m_ParticleFire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> BuildingSuper::m_ParticleFire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00010">10</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a7cdc5791a45a15ec2fd2fc6060c5688a" name="a7cdc5791a45a15ec2fd2fc6060c5688a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cdc5791a45a15ec2fd2fc6060c5688a">&#9670;&#160;</a></span>m_ParticleSmoke</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> BuildingSuper::m_ParticleSmoke</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00011">11</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="aff3833ae9244a8445aaae49c44533e1d" name="aff3833ae9244a8445aaae49c44533e1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff3833ae9244a8445aaae49c44533e1d">&#9670;&#160;</a></span>m_SoundFireLoop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> BuildingSuper::m_SoundFireLoop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00012">12</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a2d65445eb50125a4231b25fbe7aa207a" name="a2d65445eb50125a4231b25fbe7aa207a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d65445eb50125a4231b25fbe7aa207a">&#9670;&#160;</a></span>m_UTSLBonfire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref UniversalTemperatureSourceLambdaConstant BuildingSuper::m_UTSLBonfire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00020">20</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="ab79a76dc12c38a0f2a8f056ddfff251d" name="ab79a76dc12c38a0f2a8f056ddfff251d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab79a76dc12c38a0f2a8f056ddfff251d">&#9670;&#160;</a></span>m_UTSource</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../db/d89/class_universal_temperature_source.html">UniversalTemperatureSource</a> BuildingSuper::m_UTSource</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DEPRECATED. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00018">18</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a57a58b2d98da1528ae7f95353437fa05" name="a57a58b2d98da1528ae7f95353437fa05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57a58b2d98da1528ae7f95353437fa05">&#9670;&#160;</a></span>m_UTSSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> BuildingSuper::m_UTSSettings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00019">19</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="ac695de1352a3f893ed2b16d9041cddf0" name="ac695de1352a3f893ed2b16d9041cddf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac695de1352a3f893ed2b16d9041cddf0">&#9670;&#160;</a></span>PARAM_FULL_HEAT_RADIUS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BuildingSuper::PARAM_FULL_HEAT_RADIUS = 5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00005">5</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a9bf960337a9b3ccebe028c956de14a97" name="a9bf960337a9b3ccebe028c956de14a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bf960337a9b3ccebe028c956de14a97">&#9670;&#160;</a></span>PARAM_HEAT_RADIUS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BuildingSuper::PARAM_HEAT_RADIUS = 15</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00004">4</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a3dc31dacea011ce9bb76f0de6c481e7a" name="a3dc31dacea011ce9bb76f0de6c481e7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dc31dacea011ce9bb76f0de6c481e7a">&#9670;&#160;</a></span>PARAM_MAX_TRANSFERED_TEMPERATURE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BuildingSuper::PARAM_MAX_TRANSFERED_TEMPERATURE = 25</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00006">6</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<a id="a6def0f2fd03eec81f7712f4f53a1f01e" name="a6def0f2fd03eec81f7712f4f53a1f01e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6def0f2fd03eec81f7712f4f53a1f01e">&#9670;&#160;</a></span>TIMER_HEATING_UPDATE_INTERVAL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BuildingSuper::TIMER_HEATING_UPDATE_INTERVAL = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dad/_bonfire_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Building/<a class="el" href="../../d1/d01/_building_with_fireplace_8c_source.html">BuildingWithFireplace.c</a></li>
<li>scripts/4_World/Entities/Building/Specific/<a class="el" href="../../d6/dad/_bonfire_8c_source.html">Bonfire.c</a></li>
<li>scripts/4_World/Entities/Building/<a class="el" href="../../dc/de9/_fuel_station_8c_source.html">FuelStation.c</a></li>
<li>scripts/4_World/Entities/Building/Residential/Misc/<a class="el" href="../../de/dfe/_land___misc___greenhouse_8c_source.html">Land_Misc_Greenhouse.c</a></li>
<li>scripts/4_World/Entities/Building/<a class="el" href="../../dc/da4/_well_8c_source.html">Well.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d2c/class_building_super.html">BuildingSuper</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
